#ifndef _KGR_PATCH_BSC1103098_VMLINUX_H
#define _KGR_PATCH_BSC1103098_VMLINUX_H

#include <linux/types.h>

int kgr_patch_bsc1103098_vmlinux_init(void);


struct netns_frags;
struct inet_frags;
struct net;
struct sk_buff;

struct inet_frag_queue *kgr_inet_frag_find(struct netns_frags *nf,
					   struct inet_frags *f, void *key,
					   unsigned int hash);
int kgr_ip_defrag(struct net *net, struct sk_buff *skb, u32 user);
int kgr_ipv6_frag_rcv(struct sk_buff *skb);

#define KGR_PATCH_BSC1103098_VMLINUX_FUNCS			\
	KGR_PATCH(inet_frag_find, kgr_inet_frag_find),		\
	KGR_PATCH(ip_defrag, kgr_ip_defrag),			\
	KGR_PATCH(ipv6_frag_rcv, kgr_ipv6_frag_rcv),		\

#endif /* _KGR_PATCH_BSC1103098_VMLINUX_H */
